<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Introduction</title>
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
		<!-- Bootstrap CSS has its own default font and it also already applies a css reset of its own. -->
	</head>
	<body>
		<!-- Bootstrap is a CSS Framework, which is something built on top of technology to make the use of that technology more efficient and easier to implement.

		Bootstrap is primarily used to quickly create or add designs to a webpage.

		In Bootstrap, we can link to Bootstrap's CSS from an online resource, then to add styles, all we have to do is add classes.

		Bootstrap has pre-made classes to add stylings to our webpage.

		To be able to properly install bootstrap in a webpage, we can go bootstarps comprehensive documentation and get the necessary css links and JS dependencies from the page.
		https://getbootstrap.com/docs/4.6/getting-started/ -->
		<nav class="navbar navbar-expand-lg navbar-light bg-primary">
		  <a class="navbar-brand" href="#">B169 Intro</a>
		  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent">
		    <span class="navbar-toggler-icon"></span>
		  </button>

		  <div class="collapse navbar-collapse" id="navbarSupportedContent">
		    <ul class="navbar-nav mr-auto">
		      <li class="nav-item active">
		        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link" href="#">Link</a>
		      </li>
		    </ul>
		  </div>
		</nav>
		<!-- end of bootstrap navnar -->

		<h1 class="text-center text-danger">Welcome to Bootstrap!</h1>
		<h2 class="text-primary bg-secondary text-center">Bootstrap Makes CSS Easier</h2>
		<div class="bg-dark text-center">
			<h3 class="text-center">Classes for Text Color</h3>
			<p class="text-primary">Primary</p>
			<p class="text-danger">Danger</p>
			<p class="text-success">Success</p>
			<p class="text-secondary">Secondary</p>
			<p class="text-warning">Warning</p>
			<p class="text-info">Info</p>
		</div>
		<div class="bg-secondary text-center">
			<h2>Text Color Classes Continued</h2>
			<p class="text-light">Light</p>
			<p class="text-dark">Dark</p>
			<p class="text-white">White</p>
		</div>
		<div class="text-center">
			<h2>Classes for Background Color</h2>
			<div class="bg-primary p-5">
				BG Primary
				<div class="bg-transparent">
					BG Transparent
				</div>
			</div>
			<div class="bg-secondary">
				BG Secondary
			</div>
			<div class="bg-danger">
				BG Danger
			</div>
			<div class="bg-success">
				BG Success
			</div>
			<div class="bg-warning">
				BG Warning
			</div>
			<div class="bg-info">
				BG Info
			</div>
			<div class="bg-dark text-white p-5">
				BG Dark
				<div class="bg-white text-dark">
					BG White
				</div>
			</div>
		</div>

		<div class="mt-5 p-5 bg-warning">
			Bootstrap has it's own responsive paddings and margins. Wherein the classes are: m - stands for margina dn p stands for padding.
		</div>
		<div class="bg-primary my-5 px-4 text-white">
			<h4 class="text-center">Bootstrap Padding and Margin can be applied to specific sides.</h4>
			<ul>
				<li>
					t -sets either margin or padding at the top side of an element: mt or pt
				</li>
				<li>
					b -sets either margin or padding at the bottom side of an element: mb or pb
				</li>
				<li>
					x -sets either margin or padding at the left and right side of an element: mx or px
				</li>
				<li>
					y -sets either margin or padding at the top and bottom side of an element: my or py
				</li>
				<li>
					l -sets either margin or padding at the left side of an element: ml or pl
				</li>
				<li>
					r -sets either margin or padding at the right side of an element: mr or pr
				</li>
				<li>
					blank - sets either margin or padding at all sides of the element: m or p
				</li>
			</ul>
		</div>
		<div class="mt-5 p-5 bg-warning">
					Bootstrap has it's own responsive paddings and margins. Wherein the classes are: m - stands for margin and p stands for padding.
		</div>
		<div class="border-top border-dark bg-info mb-5 px-5 text-dark">
			<h4 class="text-center">
				Bootstrap Margin and Padding has sizes from 0 to 5 and auto.
			</h4>	
			<ul>
				<li>
					0 - sets the margin and padding to 0
				</li>
				<li>
					1 - sets either margin or padding to .25rem or 4px if the root element font size is 16px
				</li>
				<li>
					2 - sets either margin or padding to .5rem or 8px if the root element font size is 16px
				</li>
				<li>
					3 - sets either margin or padding to 1rem or 16px if the root element font size is 16px
				</li>
				<li>
					4 - sets either margin or padding to 1.5rem or 24px if the root element font size is 16px
				</li>
				<li>
					5 - sets either margin or padding to 3rem or 48px if the root element font size is 16px
				</li>
			</ul>
		</div>
		<div class="border border-dark mt-5 px-4">
			Div With Dark Border
		</div>
		<div class="border border-warning my-3 p-3 bg-secondary">
			Div With Warning Color
		</div>

		<div class="bg-dark p-3 my-3">
			<h2 class="text-center text-white">Bootstrap Links</h2>
			<!-- By default, links in bootstrap does not have an underline. It will only show when hovered over. However, we can remove it completely by adding class tect-decoration-none -->
			<a href="#" class="text-success text-decoration-none">This link is Green</a>
			<a href="#" class="text-danger">This link is Red</a>
			<a href="#" class="text-warning">This link is Yellow</a>
			<!-- In bootstrap you can make an anchor look like a button by adding the appropriate button (btn) tag -->
			<a href="#" class="btn btn-primary">This is a Link.</a>
		</div>
		<div class="p-3 bg-secondary text-center">
			<h2>Bootsstrap Buttons</h2>
			<button class="btn">No Color</button>
			<button class="btn btn-primary">Btn Primary</button>
			<button class="btn btn-danger">Btn Danger</button>
			<button class="btn btn-success">Btn Success</button>
			<button class="btn btn-outline-primary">Btn Primary Outline</button>
			<button class="btn btn-outline-danger">Btn Danger Outline</button>
			<button class="btn btn-success btn-block">Block Button</button>
		</div>
		<div class="bg-dark text-white">
			<h2 class="text-center">Bootstrap Text Alignment</h2>
			<h4 class="text-left">Left Align</h4>
			<h4 class="text-center">Center Align</h4>
			<h4 class="text-right">Right Align</h4>
		</div>
		<div class="my-5 text-center">
			<h2>Aligning Text and Inline Elements</h2>
			<!-- 
				you can align text and inline elements using the text align property or text alignment classes in Bootstrap.

				note: You have to have the text alignment classes on the parent.
			-->
			<img src="https://placekitten.com/300/300">
			<button class="btn btn-warning">Sample</button>
			<!-- However, for block elements only the text can be centered/aligned with text alignment classes  -->
			<!-- Block elements, by default, take the full width of their parent element. But they are not exactly centered. -->
			<!-- auto - margin to set in both left and right side. Auto Marins calculate the space left and assigns it appropriatly. -->
			<!-- You can mx-auto on a block element that has a definite width to center the block element -->
			<p class="border border-dark bg-success p-5 mt-3 mx-auto" style="width: 50%;">
				I am a block element.
			</p>
		</div>
		<div class="bg-dark mt-5 text-center">
			<h2>Border radius in Bootstrap</h2>
			<div class="bg-warning border border-dark p-5 rounded-circle" style="height: 200px;width: 200px;">
				I look like a circle.	
			</div>
			<div class="bg-primary border border-dark p-5 rounded" style="height: 200px;width: 200px;">
				I have rounded corners.	
			</div>
			<div class="bg-danger border border-dark p-5 rounded-pill">
				I look like a pill.	
			</div>
		</div>

	<!-- Bootstrap JS Dependencies -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

	</body>
</html>